Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class PermissionMeta

    java.lang.Object
      org.pentaho.di.repository.PermissionMeta

    public class PermissionMeta

extends Object

This class handles the different kinds of permissions that can be set on a profile.

Since:
  7-apr-2004
Author:
  Matt

Field Summary
`static String[]` | `permissionTypeCode`
`static String[]` | `permissionTypeDesc`
`static int` | `TYPE_PERMISSION_ADMIN`
`static int` | `TYPE_PERMISSION_JOB`
`static int` | `TYPE_PERMISSION_NONE`
`static int` | `TYPE_PERMISSION_READ_ONLY`
`static int` | `TYPE_PERMISSION_SCHEMA`
`static int` | `TYPE_PERMISSION_TRANSFORMATION`

Constructor Summary
`PermissionMeta(int type)`
`PermissionMeta(Repository rep, long id_permission)`
`PermissionMeta(String stype)`

Method Summary
`long` | `getID()`
`int` | `getType()`
`static int` | `getType(String str)`
`String` | `getTypeDesc()`
`static String` | `getTypeDesc(int i)`
`boolean` | `isAdministrator()`
`boolean` | `isReadonly()`
`void` | `setID(long id)`
`void` | `setType(int type)`
`String` | `toString()`
`boolean` | `useJobs()`
`boolean` | `useSchemas()`
`boolean` | `useTransformations()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_PERMISSION_NONE

    public static final int TYPE_PERMISSION_NONE

See Also:
  Constant Field Values

### TYPE_PERMISSION_READ_ONLY

    public static final int TYPE_PERMISSION_READ_ONLY

See Also:
  Constant Field Values

### TYPE_PERMISSION_ADMIN

    public static final int TYPE_PERMISSION_ADMIN

See Also:
  Constant Field Values

### TYPE_PERMISSION_TRANSFORMATION

    public static final int TYPE_PERMISSION_TRANSFORMATION

See Also:
  Constant Field Values

### TYPE_PERMISSION_JOB

    public static final int TYPE_PERMISSION_JOB

See Also:
  Constant Field Values

### TYPE_PERMISSION_SCHEMA

    public static final int TYPE_PERMISSION_SCHEMA

See Also:
  Constant Field Values

### permissionTypeCode

    public static final String[] permissionTypeCode

### permissionTypeDesc

    public static final String[] permissionTypeDesc

Constructor Detail

### PermissionMeta

    public PermissionMeta(int type)

### PermissionMeta

    public PermissionMeta(String stype)

### PermissionMeta

    public PermissionMeta(Repository rep,
                          long id_permission)
                   throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### setType

    public void setType(int type)

### getType

    public int getType()

### getTypeDesc

    public String getTypeDesc()

### getTypeDesc

    public static final String getTypeDesc(int i)

### getType

    public static final int getType(String str)

### getID

    public long getID()

### setID

    public void setID(long id)

### isReadonly

    public boolean isReadonly()

### isAdministrator

    public boolean isAdministrator()

### useTransformations

    public boolean useTransformations()

### useJobs

    public boolean useJobs()

### useSchemas

    public boolean useSchemas()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD